Listar terceros
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/third_parties \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/third_parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/third_parties"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"name": "<string>",
"document_type": "<string>",
"document_number": "<string>",
"bank_name": "<string>",
"bank_account_type": "<string>",
"bank_account_number": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"geocoding_place_id": "<string>",
"latitude": 123,
"longitude": 123,
"roles": [
"owner"
],
"all_contact_roles": [
"<string>"
],
"registered_roles": [
"<string>"
],
"properties": [
{
"id": 123,
"address": "<string>",
"role": "<string>",
"ownership_percentage": 123
}
],
"bank_complete": true,
"fiscal_complete": true,
"readiness": "without_property",
"balances": [
{
"currency": "<string>",
"balance": 123,
"in_favor": 123,
"owed": 123
}
],
"next_payouts": [
{}
],
"commission_attributions": [
{
"id": 123,
"opportunity_id": 123,
"share_percentage": 123,
"property_tenancy_id": 123
}
]
}
],
"meta": {
"total_count": 123,
"total_pages": 123,
"page": 123,
"per_page": 123,
"counts": {
"owner": 123,
"ph_admin": 123,
"provider": 123,
"ally": 123,
"all": 123,
"directory": 123
}
}
}Treasury Third Parties
Listar terceros
Los contactos a los que la agencia les paga (propietarios, administraciones, proveedores y aliados), con su listo-para-pagar y saldos. Con directory en true lista todo contacto que coincida.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
third_parties
Listar terceros
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/third_parties \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/third_parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/third_parties"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"name": "<string>",
"document_type": "<string>",
"document_number": "<string>",
"bank_name": "<string>",
"bank_account_type": "<string>",
"bank_account_number": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"geocoding_place_id": "<string>",
"latitude": 123,
"longitude": 123,
"roles": [
"owner"
],
"all_contact_roles": [
"<string>"
],
"registered_roles": [
"<string>"
],
"properties": [
{
"id": 123,
"address": "<string>",
"role": "<string>",
"ownership_percentage": 123
}
],
"bank_complete": true,
"fiscal_complete": true,
"readiness": "without_property",
"balances": [
{
"currency": "<string>",
"balance": 123,
"in_favor": 123,
"owed": 123
}
],
"next_payouts": [
{}
],
"commission_attributions": [
{
"id": 123,
"opportunity_id": 123,
"share_percentage": 123,
"property_tenancy_id": 123
}
]
}
],
"meta": {
"total_count": 123,
"total_pages": 123,
"page": 123,
"per_page": 123,
"counts": {
"owner": 123,
"ph_admin": 123,
"provider": 123,
"ally": 123,
"all": 123,
"directory": 123
}
}
}Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Search by name or document number
Available options:
owner, ph_admin, provider, ally Available options:
name_asc, name_desc Required range:
1 <= x <= 100Was this page helpful?